# ltl_to_pair.hh File Reference

This file provides a transformation function that computes the pair letter automaton of an FMP automaton. More...

Include dependency graph for ltl_to_pair.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Functions

Letter-to-letter FMP automaton to pair letter automaton algorithm.
Compute the pair letter automaton associated to an ltl FMP automaton.
template<typename S , typename T >
void | ltl_to_pair (const Element< S, T > &ltl, typename mute_ltl_to_pair< S, T >::ret &res)
template<typename S , typename T >
mute_ltl_to_pair< S, T >::ret | ltl_to_pair (const Element< S, T > &ltl)

## Detailed Description

This file provides a transformation function that computes the pair letter automaton of an FMP automaton.

Author:
  Jerome Galtier <jerome.galtier@lrde.epita.fr>

See also:
  ltl_to_pair()

Definition in file ltl_to_pair.hh.